AvCaster(7)

NAME:
av-caster - simple native gStreamer GUI for screencast, webcam, and audio streaming

SYNOPSIS:
av-caster [ --help | --version | --presets ]
av-caster [ --preset N ]
av-caster [ --no-media ] [ --no-preview ] [ --no-audio ] [ --no-chat ]
av-caster [ --screen-only | --camera-only | --text-only | --image-only ]

DESCRIPTION:
AvCaster is built upon the JUCE framework, utilizing gStreamer as the media backend and libircclient as the chat backend. It is currently capable of recording to file or streaming to an RTMP server with screen capture (X11/XV - full-screen), webcam (V4L2 - full-screen or overlay), and audio (ALSA/PULSE/JACK - mono or stereo). It is moderately configurable, with preset configurations for streaming via popular servers such as livecoding.tv, and allows custom user-defined configurations to be stored as additional presets.

OPTIONS:

  INFORMATION:

--help
    prints this message and exits

--presets
    list stored presets and exits

--version
    prints the application version string and exits

  CONFIGURATION:

--preset
    starts av-caster with initial preset number n

  FEATURE SWITCHES:

--no-media
    disables all media and stream output

--no-preview
    disables realtime preview

--no-audio
    disables audio capture

--no-chat
    disables chat

--screen-only
    disables compositing and renders screen only

--camera-only
    disables compositing and renders webcam only

--text-only
    disables compositing and renders text overlay only

--image-only
    disables compositing and renders static image only

FILES:

~/.config/av-caster/av-caster.bin
    persistent application configuration file in JUCE binary format

ENVIRONMENT:

AVCASTER_RTMP_DEST
    this will be used as the RTMP network destination or stream key when the 'URI:' or 'Stream Key:' GUI configuration fields are empty

BUGS:
WIP - see https://github.com/bill-auger/av-caster/issues.

AUTHOR:
bill-auger <bill-auger@programmer.net>